"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RDSDataClient_1 = require("./RDSDataClient");
const BatchExecuteStatementCommand_1 = require("./commands/BatchExecuteStatementCommand");
const BeginTransactionCommand_1 = require("./commands/BeginTransactionCommand");
const CommitTransactionCommand_1 = require("./commands/CommitTransactionCommand");
const ExecuteSqlCommand_1 = require("./commands/ExecuteSqlCommand");
const ExecuteStatementCommand_1 = require("./commands/ExecuteStatementCommand");
const RollbackTransactionCommand_1 = require("./commands/RollbackTransactionCommand");
class RDSData extends RDSDataClient_1.RDSDataClient {
    batchExecuteStatement(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new BatchExecuteStatementCommand_1.BatchExecuteStatementCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    beginTransaction(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new BeginTransactionCommand_1.BeginTransactionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    commitTransaction(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CommitTransactionCommand_1.CommitTransactionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    executeSql(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ExecuteSqlCommand_1.ExecuteSqlCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    executeStatement(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ExecuteStatementCommand_1.ExecuteStatementCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    rollbackTransaction(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RollbackTransactionCommand_1.RollbackTransactionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
}
exports.RDSData = RDSData;
//# sourceMappingURL=RDSData.js.map