"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const BeginTransactionInput_1 = require("../shapes/BeginTransactionInput");
const BeginTransactionOutput_1 = require("../shapes/BeginTransactionOutput");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ForbiddenException_1 = require("../shapes/ForbiddenException");
const InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
const ServiceUnavailableError_1 = require("../shapes/ServiceUnavailableError");
const StatementTimeoutException_1 = require("../shapes/StatementTimeoutException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.BeginTransaction = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "BeginTransaction",
    http: {
        method: "POST",
        requestUri: "/BeginTransaction"
    },
    input: {
        shape: BeginTransactionInput_1.BeginTransactionInput
    },
    output: {
        shape: BeginTransactionOutput_1.BeginTransactionOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ServiceUnavailableError_1.ServiceUnavailableError
        },
        {
            shape: StatementTimeoutException_1.StatementTimeoutException
        }
    ]
};
//# sourceMappingURL=BeginTransaction.js.map