"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RollbackTransactionInput_1 = require("../shapes/RollbackTransactionInput");
const RollbackTransactionOutput_1 = require("../shapes/RollbackTransactionOutput");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ForbiddenException_1 = require("../shapes/ForbiddenException");
const InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const ServiceUnavailableError_1 = require("../shapes/ServiceUnavailableError");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.RollbackTransaction = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RollbackTransaction",
    http: {
        method: "POST",
        requestUri: "/RollbackTransaction"
    },
    input: {
        shape: RollbackTransactionInput_1.RollbackTransactionInput
    },
    output: {
        shape: RollbackTransactionOutput_1.RollbackTransactionOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ServiceUnavailableError_1.ServiceUnavailableError
        }
    ]
};
//# sourceMappingURL=RollbackTransaction.js.map